Subject: Re: [PATCH 5/9] submodule update: expose parallelism to the user

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Oct 2015 15:20:52 -0700

Stefan Beller <[email-masked]> writes:

> On Tue, Oct 27, 2015 at 1:59 PM, Junio C Hamano <[email-masked]> wrote:
>> And when 0 starts to meaning something special, we would need to
>> describe that here (and/or submodule.jobs entry in config.txt).
>> As I already said, I do not think "0 means num_cpus" is a useful
>> default, and I would prefer if we reserved 0 to mean something more
>> useful we would figure out later.
>
> Ok I'll add that, too.

Sorry, but I take it back.  We just can document that (1) "-j 0"
will give you some default, (2) we do not promise that the default
will be optimal for you from day one, (3) we reserve the right to
"improve" it over time, and (4) we promise that we won't make it an
insanely wrong value.  And let's keep "0 currently means num_cpu",
which may or may not be optimal but it cannot be an "insanely wrong"
value.